[arch-commits] Commit in kdeutils/repos (3 files)

Andrea Scarpino andrea at archlinux.org
Mon Nov 2 17:52:11 EST 2009


    Date: Monday, November 2, 2009 @ 17:52:10
  Author: andrea
Revision: 57973

Merged revisions 54343,56932 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/kdeutils/trunk

........
  r54343 | pierre | 2009-10-09 08:21:38 +0200 (Fri, 09 Oct 2009) | 1 line
  
   
........
  r56932 | pierre | 2009-10-31 00:53:57 +0100 (Sat, 31 Oct 2009) | 1 line
  
  KDE 4.3.3 (try #1)
........

Modified:
  kdeutils/repos/extra-i686/	(properties)
  kdeutils/repos/extra-i686/PKGBUILD
  kdeutils/repos/extra-i686/fix-printer-applet-segfault.patch

-----------------------------------+
 PKGBUILD                          |   16 +++++++---------
 fix-printer-applet-segfault.patch |    4 ++--
 2 files changed, 9 insertions(+), 11 deletions(-)


Property changes on: kdeutils/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /kdeutils/trunk:1-54320
   + /kdeutils/trunk:1-57971

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-02 22:51:51 UTC (rev 57972)
+++ extra-i686/PKGBUILD	2009-11-02 22:52:10 UTC (rev 57973)
@@ -16,8 +16,8 @@
          'kdeutils-printer-applet'
          'kdeutils-superkaramba'
          'kdeutils-sweeper')
-pkgver=4.3.2
-pkgrel=4
+pkgver=4.3.3
+pkgrel=1
 arch=('i686' 'x86_64')
 url='http://www.kde.org'
 license=('GPL' 'LGPL' 'FDL')
@@ -27,15 +27,13 @@
              'system-config-printer-common' 'libarchive' 'qimageblitz')
 source=("http://download.kde.org/stable/${pkgver}/src/${pkgbase}-${pkgver}.tar.bz2"
 	'fix-printer-applet-segfault.patch')
-md5sums=('b5e72292ed1504f8ee5a82a388af3b04'
-         '4dbb643c5598a81d07503d8088ca5d17')
+md5sums=('f3a587fa319d01f5305ef746933f3fb3'
+         '273df71c9edb7f85595a787b24b976b1')
 
 build() {
-	cd $srcdir
-
-	# now this patch is not on 4.3.3
-	patch -Np0 -i ${srcdir}/fix-printer-applet-segfault.patch || return 1
-
+	cd $srcdir/${pkgbase}-${pkgver}
+	patch -p0 -i ${srcdir}/fix-printer-applet-segfault.patch || return 1
+	cd ..
 	mkdir build
 	cd build
 	cmake ../${pkgbase}-${pkgver} \

Modified: extra-i686/fix-printer-applet-segfault.patch
===================================================================
--- extra-i686/fix-printer-applet-segfault.patch	2009-11-02 22:51:51 UTC (rev 57972)
+++ extra-i686/fix-printer-applet-segfault.patch	2009-11-02 22:52:10 UTC (rev 57973)
@@ -1,5 +1,5 @@
---- kdeutils-4.3.2/printer-applet/printer-applet.py~	2009-10-07 19:01:11.156834631 +0200
-+++ kdeutils-4.3.2/printer-applet/printer-applet.py	2009-10-07 19:01:25.830154976 +0200
+--- printer-applet/printer-applet.py~	2009-10-07 19:01:11.156834631 +0200
++++ printer-applet/printer-applet.py	2009-10-07 19:01:25.830154976 +0200
 @@ -221,7 +221,7 @@
          self.jobs = {}
          self.jobiters = {}



More information about the arch-commits mailing list